Subject: [Deb-dev] Error "undefined symbol: mca_base_param_reg_int" when running python demos

From: LUK ShunTim <[email-masked]>
Date: Sun, 22 Mar 2009 19:03:05 +0800

Hi,

I got the same error as in here
http://www.fenics.org/pipermail/dolfin-dev/2009-March/012546.html

after building dolfin-0.9.1 from source with openmpi 1.3. Googling a
bit, it seems the problem is as discussed in this thread in the openmpi list
http://www.open-mpi.org/community/lists/users/2009/02/8135.php

The openmpi developer recommends following this faq when libmpi is
called from python
http://www.open-mpi.org/faq/?category=running#loading-libmpi-dynamically

Sorry I don't know enough to offer patches but hopefully this
information is useful to the dolfin developers.

Regards,
ST
--